%define _modulesdir %_libdir/X11/modules
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-wacom
Version: 0.10.4
Release: alt1
Serial: 1
Summary: Wacom input driver
License: GPLv2
Group: System/X11
Url: http://linuxwacom.sourceforge.net/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: XORG_ABI_XINPUT = %get_xorg_abi_xinput
Provides: xorg-x11-drv-wacom = %serial:%version-%release
Obsoletes: xorg-x11-drv-wacom < %version-%release
Conflicts: linuxwacom

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-sdk
BuildRequires: libX11-devel libXi-devel

%description
wacom is an X input driver for Wacom devices

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_fdidir
install -m644 fdi/wacom.fdi %buildroot%_fdidir/20-x11-input-wacom.fdi

%files
%_bindir/xsetwacom
%_modulesdir/input/*.so
%_fdidir/*.fdi
%_man4dir/*.4*

%changelog
* Sat Jan 23 2010 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.4-alt1
- 0.10.4

* Thu Dec 24 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:0.10.3-alt1
- 0.10.3

